## Zope PostgreSQL DataBase Adapter based on PoPy Python Postgres Driver 
## --------------------------------------------------------------------- 

## Copyright (c) 2000 - Thierry MICHEL 
## Copyright (c) 2000 - MixadLive srl Torino, Italy 
## http://www.mixadlive.com 

## This library is free software, you can redistribute it and/or 
## modify it under the terms of the GNU General Public Licence as  
## published by the Free Software Foundation. 

## This program is distributed in the hope that it will be useful, 
## but WITHOUT ANY WARRANTY; without even the implied warranty of 
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
## GNU General Public License for more details 

## You should have received a copy of the GNU General Public License 
## along with this program; if not, write to the Free Software 
## Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. 

## MixadLive, Srl., hereby disclaims all copyright 
## interest in the Zope Database Adapter `ZPoPyDA' written  
## by Thierry MICHEL 

## -- Thierry - Developer 
## For bugs & comments: thierry@mixadlive.com

"""Z PoPy Database Adapter Package Registration"""

__version__='$Revision: 1.6 $'[11:-2]

import sys, os, Globals, DA
from ImageFile import ImageFile

database_type='PoPy'

classes=('DA.Connection',)

meta_types=(
    {'name':'Z %s Database Connection' % database_type,
     'action':'manage_addZ%sConnectionForm' % database_type,
     },
    )

methods={
    'manage_addZ%sConnection' % database_type: DA.addConnection,
    'manage_addZ%sConnectionForm' % database_type: DA.addConnectionForm,
    }

misc_={'conn': ImageFile('Shared/DC/ZRDB/www/DBAdapterFolder_icon.gif'),
      }

__ac_permissions__=(
    ('Add Z %s Database Connections' % database_type,
     ('manage_addZ%sConnectionForm' % database_type,
      'manage_addZ%sConnection' % database_type)),
    )


